package com.ruoyi.syzy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * major对象 b_busi_mbti_major
 * 
 * @author voluntary
 * @date 2023-10-25
 */
public class BBusiMbtiMajor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 兴趣码 */
    @Excel(name = "兴趣码")
    private String code;

    /** 专业类 */
    @Excel(name = "专业类")
    private String category;

    /** 专业 */
    @Excel(name = "专业")
    private String major;

    List<BBusiMbtiMajor> majors;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setCategory(String category) 
    {
        this.category = category;
    }

    public String getCategory() 
    {
        return category;
    }
    public void setMajor(String major) 
    {
        this.major = major;
    }

    public String getMajor() 
    {
        return major;
    }

    public List<BBusiMbtiMajor> getMajors() {
        return majors;
    }

    public void setMajors(List<BBusiMbtiMajor> majors) {
        this.majors = majors;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("category", getCategory())
            .append("major", getMajor())
            .toString();
    }
}
